Bug 216540 - www/wordpress chinese/wordpress-zh_CN chinese/wordpress-zh_TW japanese/wordpress german/wordpress: Update to 4.7.2
Summary: www/wordpress chinese/wordpress-zh_CN chinese/wordpress-zh_TW japanese/wordpr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2017-01-28 08:04 UTC by Jochen Neumeister
Modified: 2017-01-30 23:23 UTC (History)
2 users (show)

See Also:
woodsb02: merge-quarterly+


Attachments
Patch (4.61 KB, patch)
2017-01-28 08:04 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2017-01-28 08:04:22 UTC
Created attachment 179368 [details]
Patch

WordPress 4.7.2 Security Release: https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/

poudriere build fine for:
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r310257)

portlint -AC is also fine.


Cheers
jochen
Comment 1 commit-hook freebsd_committer 2017-01-28 20:55:56 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Jan 28 20:54:08 UTC 2017
New revision: 432681
URL: https://svnweb.freebsd.org/changeset/ports/432681

Log:
  Update to 4.7.2

  Changes:	https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/
  PR:		216540
  Submitted by:	Jochen Neumeister <joneum@bsdproject.de> (maintainer)

Changes:
  head/chinese/wordpress-zh_CN/Makefile
  head/chinese/wordpress-zh_CN/distinfo
  head/chinese/wordpress-zh_TW/Makefile
  head/chinese/wordpress-zh_TW/distinfo
  head/german/wordpress/Makefile
  head/german/wordpress/distinfo
  head/japanese/wordpress/Makefile
  head/japanese/wordpress/distinfo
  head/www/wordpress/Makefile
  head/www/wordpress/distinfo
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-28 20:58:02 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2017-01-29 03:14:04 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Jan 29 03:13:21 UTC 2017
New revision: 432696
URL: https://svnweb.freebsd.org/changeset/ports/432696

Log:
  Document Wordpress security issues in 4.7.1.

  PR:		216540
  PR:		216515
  Reported by:	Jochen Neumeister <joneum@bsdproject.de>
  Reported by:	Mikhail Timofeev <9267096@gmail.com>
  Security:	CVE-2017-5610
  Security:	CVE-2017-5611
  Security:	CVE-2017-5612
  Security:	https://vuxml.FreeBSD.org/freebsd/14ea4458-e5cd-11e6-b56d-38d547003487.html

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2017-01-30 23:23:31 UTC
A commit references this bug:

Author: woodsb02
Date: Mon Jan 30 23:22:30 UTC 2017
New revision: 432890
URL: https://svnweb.freebsd.org/changeset/ports/432890

Log:
  MFH: r432681 r432590

  Update to 4.7.2

  Changes:	https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/
  PR:		216540
  Submitted by:	Jochen Neumeister <joneum@bsdproject.de> (maintainer)

  Update to 4.7.2

  Changes:	https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/
  PR:		216515
  Submitted by:	Mikhail Timofeev <9267096@gmail.com> (maintainer)

  Approved by:	ports-secteam (feld)
  Security:	CVE-2017-5610
  Security:	CVE-2017-5611
  Security:	CVE-2017-5612
  Security:	https://vuxml.FreeBSD.org/freebsd/14ea4458-e5cd-11e6-b56d-38d547003487.html

Changes:
_U  branches/2017Q1/
  branches/2017Q1/chinese/wordpress-zh_CN/Makefile
  branches/2017Q1/chinese/wordpress-zh_CN/distinfo
  branches/2017Q1/chinese/wordpress-zh_TW/Makefile
  branches/2017Q1/chinese/wordpress-zh_TW/distinfo
  branches/2017Q1/german/wordpress/Makefile
  branches/2017Q1/german/wordpress/distinfo
  branches/2017Q1/japanese/wordpress/Makefile
  branches/2017Q1/japanese/wordpress/distinfo
  branches/2017Q1/russian/wordpress/Makefile
  branches/2017Q1/russian/wordpress/distinfo
  branches/2017Q1/www/wordpress/Makefile
  branches/2017Q1/www/wordpress/distinfo